> ## Documentation Index
> Fetch the complete documentation index at: https://docs.seraph.si/llms.txt
> Use this file to discover all available pages before exploring further.

# Lookup Linked Accounts

> Retrieves all Minecraft accounts linked to a Discord snowflake ID or all Discord accounts linked to a Minecraft UUID.



## OpenAPI

````yaml https://stash.seraph.si/json get /discord/user/{snowflake}/lookup
openapi: 3.1.0
info:
  contact:
    email: support@seraph.si
    name: API Support
    url: https://discord.gg/seraph
  title: Seraph API
  version: '4.0'
servers: []
security: []
externalDocs:
  description: ''
  url: ''
paths:
  /discord/user/{snowflake}/lookup:
    get:
      tags:
        - Discord
        - User Linking
      summary: Lookup Linked Accounts
      description: >-
        Retrieves all Minecraft accounts linked to a Discord snowflake ID or all
        Discord accounts linked to a Minecraft UUID.
      parameters:
        - description: Discord Snowflake ID or Minecraft UUID for lookup
          in: path
          name: snowflake
          required: true
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                items:
                  $ref: '#/components/schemas/sprint.DiscordMinecraftLink'
                type: array
          description: Successfully retrieved linked accounts
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/validation.ErrorResponse'
          description: Unauthorized, not enough permissions
        '500':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/validation.ErrorResponse'
          description: Internal server error
components:
  schemas:
    sprint.DiscordMinecraftLink:
      properties:
        id:
          type: string
        is_primary:
          type: boolean
        snowflake:
          type: string
      type: object
    validation.ErrorResponse:
      properties:
        cause:
          type: string
        code:
          type: integer
        documentation:
          type: string
        extra:
          items:
            $ref: '#/components/schemas/validation.ErrorObject'
          type: array
          uniqueItems: false
        msTime:
          type: integer
        success:
          type: boolean
      type: object
    validation.ErrorObject:
      properties:
        code:
          type: integer
        developer_reason:
          type: string
        name:
          type: string
        reason:
          type: string
      type: object

````